Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.rpc
Class Parameter

`java.lang.Object
org.apache.soap.rpc.Parameter`

public class Parameter
extends java.lang.Object

A `Parameter` represents an argument to an RPC call. `Parameter` objects are used by both the client and the server.

Constructor Summary
`Parameter(java.lang.String name, java.lang.Class type, java.lang.Object value, java.lang.String encodingStyleURI)`

Method Summary
`java.lang.String` | `getEncodingStyleURI()`
`java.lang.String` | `getName()`
`java.lang.Class` | `getType()`
`java.lang.Object` | `getValue()`
`void` | `setEncodingStyleURI(java.lang.String encodingStyleURI)`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.Class type)`
`void` | `setValue(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter(java.lang.String name,
                     java.lang.Class type,
                     java.lang.Object value,
                     java.lang.String encodingStyleURI)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setType

    public void setType(java.lang.Class type)

### getType

    public java.lang.Class getType()

### setValue

    public void setValue(java.lang.Object value)

### getValue

    public java.lang.Object getValue()

### setEncodingStyleURI

    public void setEncodingStyleURI(java.lang.String encodingStyleURI)

### getEncodingStyleURI

    public java.lang.String getEncodingStyleURI()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.